Skip to main content
POST
Create an opt-in link

Authorizations

Authorization
string
header
required

Your API key, e.g. sk_live_... or sk_test_....

Path Parameters

connection
string<uuid>
required

The connection uuid.

Body

application/json
signup_message
string
required
Maximum string length: 300
confirmation_message
string
required
Maximum string length: 300
privacy_policy_url
string<uri>
required
website_url
string<uri>

Must start with https://.

promo_code
string
Pattern: ^[A-Za-z0-9]{1,50}$
display_name
string
Maximum string length: 256
accept_terms
boolean

Response

Created.

id
string
Example:

"9876543210123456"

display_name
string | null
signup_message
string | null
confirmation_message
string | null
privacy_policy_url
string | null
promo_code
string | null
website_url
string | null
status
enum<string> | null
Available options:
ACTIVE,
DISABLED,
null
Example:

"https://wa.me/919812345670/signup/9876543210123456"